Subject: Re: [secdir] Fwd: timing of reviews

From: Stephen Farrell <[email-masked]>
Date: Wed, 10 Jul 2013 13:59:14 +0100

Hi folks,

Coming back to this topic and thanks for the feedback. This is on
as a management item for tomorrow's IESG telechat. The IESG won't
be putting in place any new rule or dictat then but we'll try to
move things along some.

I plan to say the following:

"Secdir reviewers expressed a willingness to carry out reviews at
WGLC time where a specific request from the relevant WG chair is
made. We'd like to try this out for a bit with some drafts and
see how it goes for a few months and not immediately start getting
review requests for everything at WGLC. If WG chairs select "more
baked" drafts for this it may work better. If a WG chair asks
for a review for a document that's really not ready for secdir
then a "not baked" review may well be the sole response. (We
do understand that starting a WGLC on a not-yet-baked draft is
a valid thing for a WG chair to do sometimes, but those are
maybe not good drafts for which to ask for a secdir review.)
Given that the hit-rate for secdir reviews is about 80% WG
chairs should understand that there's a roughly 20% chance that
they won't get a secdir review, and there's a chance that the
review might not be received before the end of WGLC, but that's
still leaves a good probabailty of getting a very useful and
timely review.

For now, the simplest mechanics for this are for the WG chair
to mail [email-masked], cc'ing [email-masked] and
asking that draft-foo, which is starting WGLC, be put into
the secdir review rotation."

There's no need to wordsmith that since its not a formal
statement of anything, but if there are any major issues it'd
be great to hear about those today/tomorrow. And since
we'll work it out as we go anyway, there's no need to panic:-)

Cheers and thanks again for all the continuing good work,
S.

On 05/24/2013 10:11 AM, Stephen Farrell wrote:
> 
> Folks,
> 
> Jari's mail below says it better than I could.
> 
> What do you think about this?
> 
> Thanks,
> S.
> 
> 
> -------- Original Message --------
> Subject: timing of reviews
> Date: Fri, 24 May 2013 01:28:48 +0300
> From: Jari Arkko <[email-masked]>
> To: General Area Review Team <[email-masked]>
> CC: The IESG <[email-masked]>
> 
> Thanks again for all your hard work in doing the reviews. They make it
> possible for me to concentrate on reviewing just those documents where
> there are problems or I have deeper expertise. And the quality of the
> protocol specifications coming out of the IETF is obviously very
> important, particularly for protocols that are gaining significant use.
> 
> As you may have seen, the IESG and the community has been wondering if
> there'd be something that we could do about the IETF process, in the
> sense that there's quite many things happening at the very end of the
> document's life cycle. This results in some surprises, and often also
> moves some important decisions out of the working group and to
> author/shepherd/AD hands. A while ago we met for the IESG retreat and
> wanted to experiment with three specific changes:
> 
> - sending work back to the WGs when significant changes are needed, and
> making the WG the central place of the edits
> - moving some directorate reviews earlier, without impact reviewer
> effort too much
> - inviting some of the shepherds onto tele chats
> 
> I am writing to you in order to discuss the second item. How big of a
> change would it be to have Gen-ART reviews be invoked during WGLC, while
> the documents are still in the working groups? The goal of the reviews
> would still be the same, e.g., I would be checking that the reviews were
> positive and/or that the issues brought up have been properly addressed.
> 
> There are important details to consider, however, and I would like to
> get your feedback on how you would seem them having an effect, and what
> would be the best way to organise this, if we decide to go ahead with
> the change for the Gen-ART.
> 
> Triggering the review would have to be done by something else than IETF
> last call announcement. Is the best approach is to have the WG chairs
> manually request for this? Note that sometimes there are multiple WGLCs.
> I presume that it would be preferable to have a Gen-ART review be done
> only once at this stage, as otherwise the work load would increase. The
> chairs may have some idea of whether they are likely to need another
> WGLC before they start one.
> 
> There may be possibly bigger changes and time lag between the first
> Gen-ART review and the one that checks that the changes are ok.
> 
> Some specs may not make it through WGLC, and a review at that stage may
> increase the effort you guys are putting in, by reviewing those specs
> that will fail.
> 
> Jari
> 
> 
> 
> _______________________________________________
> secdir mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/secdir
> wiki: http://tools.ietf.org/area/sec/trac/wiki/SecDirReview
> 
>